Catmandu::Fix::Bind::with(3pm)

NAME
Catmandu::Fix::Bind::with - a binder that computes Fix-es in the context of a path

SYNOPSIS
     # Input data
     data:
     - name: patrick
     - name: nicolas

    # Fix
    do with(path:data)
        if all_match(name,nicolas)
            reject()
        end
    end

    # will produce
    data:
     - name: patrick

DESCRIPTION
The "with" bind allows to run fixes in the scope of a path.

Given a deep nested data structure :

    my:
      deep:
        field:
           name: James Brown

these two fixes are equal:

    add_field(my.deep.field.style, funk)

    do with(path:my.deep.field)
        add_field(style,funk)
    end

CONFIGURATION

  path
The path to a list in the data.

SEE ALSO
Catmandu::Fix::Bind